body {
    margin: 0;
}

html {
    box-sizing: border-box;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    width: 100%;
    box-shadow: 0 5px 15px 0 rgb(94 104 130 / 14%);
    background: var(--Bg-island, #fff);

    .sub-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 50px;
        padding: 0 40px;

        .sub-header__btn {
            text-decoration: none;
        }
    }

    .public-navbar {
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 46px;
        padding: 0 40px;
        background: var(--Bg-island-primary_dark, #2d2d2d);
        color: var(--Bg-island, #fff);
        font-size: 15px;
        font-style: normal;
        font-weight: 500;
        line-height: 20px; /* 133.333% */

        .navbar__items {
            display: flex;
            align-items: center;
            height: 100%;
            margin: 0 !important;
            padding: 0;
            list-style-type: none;

            .navbar__item {
                display: flex;
                align-items: center;
                justify-content: center;
                height: 100%;
                padding: 0 24px;
                cursor: pointer;

                &.active,
                &:hover {
                    background: var(--Bg-island, #fff);
                    color: var(--Text-primary, #252733);
                }
            }
        }
    }
}

.content-wrapper {
    min-height: calc(100vh - 96px);
    padding: 1.5rem 1.7rem;
    background: var(--color-island, #fff);
    margin-top: 50px;
    flex-grow: 1;
}

.estimate-info-one-column-grid {
    grid-template-columns: 1fr;
}

.estimate-info {
    display: grid;

    /* grid-template-columns: 1fr minmax(450px, 560px); */
    grid-template-columns: 1fr;
    width: 100%;
    height: 240px;
    gap: 16px;
    margin-bottom: 16px;
    padding: 0;

    .estimate-details {
        display: flex;
        justify-content: space-between;
        padding: 20px 24px 44px;
        border: 1px solid var(--color-boarder, #e6e6e6);
        border-radius: 12px;
        background: var(--Bg-island, #fff);

        .estimate-details-name {
            color: var(--color-main-black, #252733);

            /* H1 Heading, Roboto SemiBold, 18px 24 */
            font-family: Roboto;
            font-size: 18px !important;
            font-style: normal;
            font-weight: 600;
            line-height: 24px; /* 133.333% */
            margin-bottom: 8px;

            h3 {
                margin: 0;
                font-size: 18px !important;
            }
        }
    }

    .totals-positions {
        border: 1px solid var(--color-boarder, #e6e6e6);
        border-radius: 12px;
        background: var(--Bg-island, #fff);
    }
}

.estimate-details-content {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.details-row {
    display: flex;
    gap: 20px;
    white-space: nowrap;
    align-items: center;
}

.details-info-label {
    width: 100px;
    color: var(--color-tertiary, #818998);

    /* Plain Text, Roboto Regular, 13px 16 */
    font-family: Roboto;
    font-size: 13px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px; /* 123.077% */
}

.estimate-info-content {
    white-space: normal;
    color: var(--color-main-black, #252733);

    /* Plain Text, Roboto Regular, 13px 16 */
    font-family: Roboto;
    font-size: 13px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px; /* 123.077% */
}

.company-name {
    margin: 0;
    color: var(--color-main-black, #252733);
    font-size: 16px;
    font-weight: 700;
    line-height: 20px; /* 125% */

    /* H2 SubHeading, Roboto Bold, 16px 20 */
    font-family: Roboto;
    font-style: normal;
}

.company-details {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 12px;

    .company-logo {
        width: 187px;
        height: 124px;
        flex-shrink: 0;
        border-radius: 4px;
    }
}

.totals-positions {
    display: grid;
    align-items: baseline;
    grid-template-columns: 1fr 1fr 1fr;
    padding: 20px 24px 24px;
    justify-items: center;
}

.totals-positions-column,
.totals-positions-item {
    font-size: 13px;
}

.totals-positions-header {
    color: var(--Text-secondary_inverse, #8f9297);
    font-size: 12px;
    font-weight: 400;
    line-height: 16px; /* 133.333% */
    text-align: center;

    /* body_12_reg */
    font-family: Roboto;
    font-style: normal;
}

.totals-positions-column {
    display: flex;
    gap: 12px;
    align-items: center;
}

.totals-positions-type {
    align-items: start;
    width: 100%;
}

.works,
.materials,
.mechanisms,
.shipping {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    flex-shrink: 0;
    color: var(--color-island, #fff);

    /* Body_12 med */
    font-family: Roboto;
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: 16px; /* 133.333% */
}

.works {
    background: var(--Status-in-work, #28b57a);
}

.materials {
    background: var(--Status-materials, #8a4ed6);
}

.mechanisms {
    background: var(--Status-mechanisms, #288fd5);
}

.shipping {
    background: var(--Status-agreement, #fb9d32);
}

.bold-item {
    font-weight: 500;
    margin-top: 8px;
}

.estimate-step-header {
    display: flex;
    height: 52px;
    padding: 0;
}

.public-step-name {
    font-size: 20px !important;
}

.estimate-step-content.public {
    padding: 32px 28px;
    border: 1px solid var(--color-boarder, #e6e6e6);
    border-radius: 12px;
    overflow: auto;
}

.card-title.public-title {
    margin: 0;
}

.estimate-step-total-types-public {
    display: flex;
    font-size: 13px;
}

.estimate-step-total-column.public-total-column {
    width: 98px !important;
    font-size: 15px;
    font-weight: 500;
    text-align: center;
    font-style: normal;
}

.estimate-step-total-column.customer-price {
    width: 98px !important;
    white-space: nowrap !important;
}

.estimate-step-total.public-total-column {
    display: flex;
    align-items: center;
    justify-content: right;
    width: 168px;
    padding: 0 !important;
    font-size: 15px;
    font-weight: 500;
    font-style: normal;
}

.estimate-step-total-types.customer-page {
    flex-direction: column;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4px;
}

.public-estimate-step-title {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

@media (max-width: 890px) {
    .estimate-info {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 1fr;
        height: auto;
    }

    .estimate-info.estimate-info-one-column-grid {
        grid-template-columns: 1fr;
        grid-template-rows: none;
    }

    body {
        min-width: 0;
    }
}

@media (max-width: 560px) {
    .sub-header,
    .public-navbar {
        padding: 0 1.7rem !important;
    }

    .estimate-details {
        flex-direction: column-reverse;
        gap: 16px;
    }

    .company-details {
        align-items: flex-start;
    }
}

.card.public {
    min-width: 1200px;
    /* stylelint-disable-next-line property-no-vendor-prefix */
    -webkit-text-size-adjust: 100%;
    text-size-adjust: 100%;
}
